asn1_parser2array(3)

NAME
asn1_parser2array - API function

SYNOPSIS
#include <libtasn1.h>

int asn1_parser2array(const char * inputFileName, const char * outputFileName, const char * vectorName, char * error_desc);

ARGUMENTS

const char * inputFileName
    specify the path and the name of file that contains ASN.1 declarations.

const char * outputFileName
    specify the path and the name of file that will contain the C vector definition.

const char * vectorName
    specify the name of the C vector.

char * error_desc
    return the error description or an empty string if success.

DESCRIPTION
Function that generates a C structure from an ASN1 file. Creates a file containing a C vector to use to manage the definitions included in inputFileName file. If inputFileName is "/aa/bb/xx.yy" and outputFileName is NULL, the file created is "/aa/bb/xx_asn1_tab.c". If vectorName is NULL the vector name will be "xx_asn1_tab".

RETURNS
ASN1_SUCCESS if the file has a correct syntax and every identifier is known, ASN1_FILE_NOT_FOUND if an error occurred while opening inputFileName , ASN1_SYNTAX_ERROR if the syntax is not correct, ASN1_IDENTIFIER_NOT_FOUND if in the file there is an identifier that is not defined, ASN1_NAME_TOO_LONG if in the file there is an identifier with more than ASN1_MAX_NAME_SIZE characters.

COPYRIGHT
Copyright © 2006-2022 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libtasn1/manual/